<?xml version="1.0"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="playlist">
		<html>
			<head>
				<title><xsl:value-of select="@title"/></title>

				<link rel="stylesheet" type="text/css" media="screen" href="/default.css"/>

				<script language="javascript" src="/default.js"></script>
			</head>
			
			<body>

				<span id="title">
					<xsl:value-of select="@title"/>
					<div id="stream"><font color="#ffa500"><a href="{tagfid}?.m3u">stream</a></font></div>
				</span>

				<table cellspacing="0">
					<tr>
						<td width="250"><b>Title</b></td>
						<td width="50"><b>Length</b></td>
						<td width="5"></td>
						<td width="75"><b>Type</b></td>
						<td width="200"><b>Artist</b></td>
						<td wdith="200"><b>Source</b></td>
					</tr>
					<xsl:apply-templates/>
				</table>
				<br/>
				<a id="toggleMoreInfo" href="javascript:toggleMoreInfo();">more info...</a><br/>
				<br/>
				<p class="author">by <a href="mailto:theory@blacktoque.net">theory</a></p>

				<script language="javascript">
					o_stream = document.getElementById("stream");

					o_stream.position = "relative";
					o_stream.style.left = document.getElementById("title").offsetWidth - 50;
					o_stream.style.top = -20;
				</script>
			</body>		
		</html>
	</xsl:template>

	<xsl:template match="item">

		<xsl:variable name="rowclass"><xsl:choose><xsl:when test="(position() mod 2) = 0">evenRow</xsl:when><xsl:otherwise>oddRow</xsl:otherwise></xsl:choose></xsl:variable>
	
		<tr class="{$rowclass}">
			<td class="gridCell">
				<xsl:choose>
					<xsl:when test="type = 'playlist'">
						<b><a href="{tagfid}?.xml"><xsl:value-of select="title"/></a></b>
					</xsl:when>
					<xsl:otherwise>
						<a href="{fid}"><xsl:value-of select="title"/></a>
					</xsl:otherwise>
				</xsl:choose>
			</td>
			
			<td class="gridCell">
				<xsl:choose>
					<xsl:when test="type = 'playlist'">
						<xsl:value-of select="length"/>	
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="duration"/>
					</xsl:otherwise>
				</xsl:choose>
			</td>
			<td/>
			<td class="gridCell"><xsl:value-of select="type"/></td>
			<td class="gridCell"><xsl:value-of select="artist"/></td>
			<td class="gridCell"><xsl:value-of select="source"/></td>
			<td class="gridCell"><a href="{tagfid}?.m3u">stream</a></td>
		</tr>



	</xsl:template>

</xsl:stylesheet>
